<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/home_actionbar"
    android:layout_width="match_parent"
    android:layout_height="@dimen/appbar_height"
    android:gravity="center_vertical"
    android:orientation="horizontal">

    <ImageView
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        android:id="@+id/actionbar_sign"
        android:layout_width="24dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:src="@drawable/toolbar_sign" />

    <LinearLayout
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/actionbar_sign"
        android:id="@+id/actionbar_teenager_model"
        android:layout_width="102dp"
        android:layout_height="24dp"
        android:layout_marginLeft="16dp"
        android:paddingLeft="10dp"
        android:background="@drawable/button_round_f2f4f7"
        android:gravity="center_vertical">

        <ImageView
            android:id="@+id/actionbar_teenager_model_iv"
            android:layout_width="14dp"
            android:layout_height="14dp"
            android:src="@drawable/toolbar_teenager" />

        <TextView
            android:id="@+id/actionbar_teenager_model_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:gravity="center"
            android:textColor="@color/text_subtitle"
            android:textSize="12sp"
            android:text="青少年模式" />

    </LinearLayout>

    <RelativeLayout
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/actionbar_sign"
        app:layout_constraintRight_toRightOf="parent"
        android:id="@+id/actionbar_search_rl"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="102dp"
        android:layout_marginTop="9dp"
        android:layout_marginBottom="9dp"
        android:layout_weight="1"
        android:background="@drawable/home_search_bg">

        <ImageView
            android:id="@+id/actionbar_iv_search"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="13dp"
            app:srcCompat="@drawable/toolbar_search_icon" />

        <TextView
            android:id="@+id/actionbar_search_input"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_toRightOf="@id/actionbar_iv_search"
            android:ellipsize="end"
            android:gravity="center_vertical"
            android:hint="@string/home_search"
            android:paddingLeft="10dp"
            android:paddingRight="8dp"
            android:singleLine="true"
            android:textColorHint="@color/text_C1BFC9"
            android:textSize="12sp" />

    </RelativeLayout>

    <ImageView
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        android:id="@+id/actionbar_search_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="58dp"
        android:src="@drawable/toolbar_search" />

    <RelativeLayout
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        android:id="@+id/actionbar_rl_download"
        android:layout_width="36dp"
        android:layout_height="@dimen/appbar_height"
        android:layout_marginRight="52dp">

        <ImageView
            android:id="@+id/actionbar_download"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            app:srcCompat="@drawable/toolbar_download" />

        <TextView
            android:id="@+id/action_tip"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_alignTop="@id/actionbar_download"
            android:layout_alignParentRight="true"
            android:layout_marginRight="2dp"
            android:background="@drawable/oval_hint_red_stroke_bg"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/white"
            android:textSize="8sp"
            android:textStyle="bold"
            android:visibility="gone" />

    </RelativeLayout>

    <RelativeLayout
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        android:id="@+id/actionbar_notification"
        android:layout_width="36dp"
        android:layout_height="@dimen/appbar_height"
        android:layout_marginRight="12dp">

        <ImageView
            android:id="@+id/actionbar_message"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            app:srcCompat="@drawable/toolbar_message" />

        <TextView
            android:id="@+id/message_unread_hint"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/actionbar_message"
            android:layout_alignParentRight="true"
            android:layout_marginRight="2dp"
            android:background="@drawable/oval_hint_red_stroke_bg"
            android:gravity="center"
            android:includeFontPadding="false"
            android:maxLength="3"
            android:minWidth="12dp"
            android:minHeight="12dp"
            android:textColor="@color/white"
            android:textSize="8dp"
            android:textStyle="bold"
            android:visibility="gone" />

    </RelativeLayout>
</androidx.constraintlayout.widget.ConstraintLayout>